#ifndef rtc_m41t81_H
#define rtc_m41t81_H

#include "Arduino.h"
#include "Wire.h"


/* arduino class */
class rtc_m41t81
{
	public:
		void getTime();
		void setTime(byte hod, byte minu, byte sek, byte den, byte mes, byte rok);
    void setKalib(byte kalibrace);
    void init();
		char *formatTime(byte styl);
		byte DecToBCD(byte value);
		byte BCDToDec(byte value);

		byte kalibrace;



	private:

		/* time variables */
		byte hod;
		byte minu;
		byte sek;
		byte msek;

		byte den;
		byte mes;
		byte rok;



		char strOut[17];
};

#endif
